Base Module VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
ITimerCallback Class Referenceabstract

Implement this callback interface to receive triggers from a timer. More...

`#include <timer.h>`

## Public Member Functions
virtual | ~ITimerCallback ()
virtual void | onTimer (Timer *timer)=0
| This method is called at the end of each interval.

## Detailed Description

Implement this callback interface to receive triggers from a timer.

Note: This interface is intended as a mix-in class and therefore does not provide ref-counting.

See Also
  Timer

## Constructor & Destructor Documentation

virtual ~ITimerCallback | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void onTimer | ( | Timer * | timer | ) |
| pure virtual

This method is called at the end of each interval.

Parameters

  timer | The timer which calls.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.